#include "partition.h"
#include <bits/stdc++.h>
#define pb push_back
#define eb emplace_back
#define ll long long
using namespace std;
const int N=2e5+5;

vector<int> solve(vector<int> v)
{
    int n=v.size();
    vector<int> ord(n);
    iota(ord.begin(),ord.end(),0);
    reverse(ord.begin(),ord.end());
    return ord;
    sort(ord.begin(),ord.end(),[&](int a, int b) {return v[a]>v[b];});
    ll a=0,b=0;
    vector<int> va,vb;
    for(auto i:ord)
    {
        if(a!=0) assert(b+v[i]<a);
        if(b+v[i]<=a) b+=v[i],vb.pb(i);
        else a+=v[i],va.pb(i);
    }
    vector<int> sol;
    for(auto x:va) sol.pb(x);
    for(auto x:vb) sol.pb(x);
    return sol;
}

/*#include "partition.h"
std::vector<int> solve(std::vector<int> A) {
    return {};
}*/
